Search for test

  1. Search 7.x for test
  2. Search 9.5.x for test
  3. Search 8.9.x for test
  4. Search 10.3.x for test
  5. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Test class core/modules/media/tests/modules/media_test_source/src/Plugin/media/Source/Test.php Provides test media source.
Test class core/modules/system/tests/modules/test_page_test/src/Controller/Test.php Defines a test controller for page titles.

All search results

Title Object type File name Summary
RequestFormatRouteFilterTest::testFilter function core/tests/Drupal/Tests/Core/Routing/RequestFormatRouteFilterTest.php Tests filter.
RequestFormatRouteFilterTest::testNoRouteFound function core/tests/Drupal/Tests/Core/Routing/RequestFormatRouteFilterTest.php Tests no route found.
RequestFormatRouteFilterTest::testNoRouteFoundWhenNoRequestFormatAndSingleRouteWithMultipleFormats function core/tests/Drupal/Tests/Core/Routing/RequestFormatRouteFilterTest.php Tests no route found when no request format and single route with multiple formats.
RequestHandlerTest class core/modules/rest/tests/src/Kernel/RequestHandlerTest.php Test REST RequestHandler controller logic.
RequestHandlerTest.php file core/modules/rest/tests/src/Kernel/RequestHandlerTest.php
RequestHandlerTest::$entityStorage property core/modules/rest/tests/src/Kernel/RequestHandlerTest.php The entity storage.
RequestHandlerTest::$modules property core/modules/rest/tests/src/Kernel/RequestHandlerTest.php Modules to install.
RequestHandlerTest::$requestHandler property core/modules/rest/tests/src/Kernel/RequestHandlerTest.php
RequestHandlerTest::setUp function core/modules/rest/tests/src/Kernel/RequestHandlerTest.php
RequestHandlerTest::testHandle function core/modules/rest/tests/src/Kernel/RequestHandlerTest.php Tests handle.
RequestPagerTest class core/tests/Drupal/KernelTests/Core/Pager/RequestPagerTest.php Tests Drupal\Core\Pager\PagerParameters.
RequestPagerTest.php file core/tests/Drupal/KernelTests/Core/Pager/RequestPagerTest.php
RequestPagerTest::testFindPage function core/tests/Drupal/KernelTests/Core/Pager/RequestPagerTest.php Tests find page.
RequestPagerTest::testGetQueryParameters function core/tests/Drupal/KernelTests/Core/Pager/RequestPagerTest.php Tests get query parameters.
RequestPathTest class core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php Tests system.module's request path condition.
RequestPathTest.php file core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php
RequestPathTest::$aliasManager property core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php The path alias manager used for testing.
RequestPathTest::$currentPath property core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php The current path.
RequestPathTest::$modules property core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php Modules to install.
RequestPathTest::$pluginManager property core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php The condition plugin manager under test.
RequestPathTest::$requestStack property core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php The request stack used for testing.
RequestPathTest::setUp function core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php
RequestPathTest::testConditions function core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php Tests the request path condition.
RequestSanitizerTest class core/tests/Drupal/FunctionalTests/HttpKernel/RequestSanitizerTest.php Tests RequestSanitizerMiddleware.
RequestSanitizerTest class core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests RequestSanitizer class.
RequestSanitizerTest.php file core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php
RequestSanitizerTest.php file core/tests/Drupal/FunctionalTests/HttpKernel/RequestSanitizerTest.php
RequestSanitizerTest::$defaultTheme property core/tests/Drupal/FunctionalTests/HttpKernel/RequestSanitizerTest.php The theme to install as the default for testing.
RequestSanitizerTest::$errors property core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Log of errors triggered during sanitization.
RequestSanitizerTest::$modules property core/tests/Drupal/FunctionalTests/HttpKernel/RequestSanitizerTest.php Modules to install.
RequestSanitizerTest::assertError function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Asserts that the expected error has been logged.
RequestSanitizerTest::createRequestForTesting function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Creates a request and sets PHP globals for testing.
RequestSanitizerTest::errorHandler function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Catches and logs errors to $this->errors.
RequestSanitizerTest::providerTestAcceptableDestinations function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Data provider for testing acceptable destinations.
RequestSanitizerTest::providerTestRequestSanitization function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Data provider for testRequestSanitization.
RequestSanitizerTest::providerTestSanitizedDestinations function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Data provider for testing sanitized destinations.
RequestSanitizerTest::setUp function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php
RequestSanitizerTest::tearDown function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php
RequestSanitizerTest::testAcceptableDestinationGet function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests acceptable destinations are not removed from GET requests.
RequestSanitizerTest::testAcceptableDestinationPost function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests acceptable destinations are not removed from POST requests.
RequestSanitizerTest::testRequestMethodOverride function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests unacceptable destinations are removed from GET requests.
RequestSanitizerTest::testRequestSanitization function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests RequestSanitizer class.
RequestSanitizerTest::testRequestSanitizer function core/tests/Drupal/FunctionalTests/HttpKernel/RequestSanitizerTest.php Tests X-Http-Method-Override header handling.
RequestSanitizerTest::testSanitizedDestinationGet function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests unacceptable destinations are removed from GET requests.
RequestSanitizerTest::testSanitizedDestinationPost function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests unacceptable destinations are removed from GET requests.
RequiredModuleUninstallValidatorTest class core/tests/Drupal/Tests/Core/Extension/RequiredModuleUninstallValidatorTest.php Tests Drupal\Core\Extension\RequiredModuleUninstallValidator.
RequiredModuleUninstallValidatorTest.php file core/tests/Drupal/Tests/Core/Extension/RequiredModuleUninstallValidatorTest.php
RequiredModuleUninstallValidatorTest::$uninstallValidator property core/tests/Drupal/Tests/Core/Extension/RequiredModuleUninstallValidatorTest.php
RequiredModuleUninstallValidatorTest::setUp function core/tests/Drupal/Tests/Core/Extension/RequiredModuleUninstallValidatorTest.php
RequiredModuleUninstallValidatorTest::testValidateNoModule function core/tests/Drupal/Tests/Core/Extension/RequiredModuleUninstallValidatorTest.php Tests validate no module.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.